## loci.formats
Class DeltavisionReader

    java.lang.Object
      loci.formats.FormatHandler
          loci.formats.FormatReader
              loci.formats.DeltavisionReader

public class DeltavisionReader
extends FormatReader

DeltavisionReader is the file format reader for Deltavision files.

Field Summary
`protected byte[]` `extHeader` Byte array containing extended header data.
`protected byte[]` `header` Byte array containing basic image header data.
`protected RandomAccessFile` `in` Current file.
`protected boolean` `little` Flag indicating whether current file is little endian.
`protected int` `numImages` Number of images in the current file.

Fields inherited from class loci.formats.FormatReader
`DEBUG, DEBUG_LEVEL, metadata, ome`

Fields inherited from class loci.formats.FormatHandler
`chooser, currentId, filters, format, suffixes`

Constructor Summary
`DeltavisionReader()` Constructs a new Deltavision reader.

Method Summary
`void` `close()` Closes any open files.
`int` `getImageCount(String id)` Determines the number of images in the given Deltavision file.
`protected void` `initFile(String id)` Initializes the given Deltavision file.
`boolean` `isThisType(byte[] block)` Checks if the given block is a valid header for a Deltavision file.
`static void` `main(String[] args)`
`BufferedImage` `open(String id, int no)` Obtains the specified image from the given Deltavision file.

Methods inherited from class loci.formats.FormatReader
`createFilters, getMetadata, getMetadataValue, getOMENode, open, testRead`

Methods inherited from class loci.formats.FormatHandler
`getFileChooser, getFileFilters, getFormat, getSuffixes, isThisType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected RandomAccessFile in

  Current file.

### numImages

    protected int numImages

  Number of images in the current file.

### little

    protected boolean little

  Flag indicating whether current file is little endian.

### header

    protected byte[] header

  Byte array containing basic image header data.

### extHeader

    protected byte[] extHeader

  Byte array containing extended header data.

Constructor Detail

### DeltavisionReader

    public DeltavisionReader()

  Constructs a new Deltavision reader.

Method Detail

### isThisType

    public boolean isThisType(byte[] block)

  Checks if the given block is a valid header for a Deltavision file.

  Specified by:
    `isThisType` in class `FormatReader`

### getImageCount

    public int getImageCount(String id)
                      throws FormatException,
                             IOException

  Determines the number of images in the given Deltavision file.

  Specified by:
    `getImageCount` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### open

    public BufferedImage open(String id,
                              int no)
                       throws FormatException,
                              IOException

  Obtains the specified image from the given Deltavision file.

  Specified by:
    `open` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### close

    public void close()
               throws FormatException,
                      IOException

  Closes any open files.

  Specified by:
    `close` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### initFile

    protected void initFile(String id)
                     throws FormatException,
                            IOException

  Initializes the given Deltavision file.

  Overrides:
    `initFile` in class `FormatReader`
  Throws:
    `FormatException`
    `IOException`

### main

    public static void main(String[] args)
                     throws FormatException,
                            IOException

  Throws:
    `FormatException`
    `IOException`